using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.IO;
using System.Collections;
using System.Collections.Specialized;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        string FileName = ConfigurationManager.AppSettings.Get("LogFilePath")+System.DateTime.Now.Ticks.ToString();

        StreamWriter sw = null;
        FileStream fs = null;
        try
        {
            fs = new FileStream(FileName, FileMode.Append, FileAccess.Write);
            sw = new StreamWriter(fs);
            
            sw.WriteLine("Host name: "+Request.UserHostName);
            sw.WriteLine("Host ip: "+Request.UserHostAddress);
            sw.WriteLine("Date/time: "+System.DateTime.Now.ToString());
            sw.WriteLine("Request url: "+Request.Url);
            sw.WriteLine("Method: "+Request.HttpMethod);
            sw.WriteLine("Headers: ");
            for (int i = 0; i < Request.Headers.Count;i++)
                sw.WriteLine("  " + Request.Headers.GetKey(i)+"="+Request.Headers[i].ToString());
            sw.WriteLine("Content encoding: " + Request.ContentEncoding);
            sw.WriteLine("Content type: " + Request.ContentType);
            sw.WriteLine("Content length: "+Request.ContentLength);
            sw.WriteLine("Body:");
            sw.Flush();
            
            byte[] data = new byte[Request.InputStream.Length];
            int readCount = Request.InputStream.Read(data, 0, data.Length);
            fs.Write(data, 0, readCount);
            fs.Flush();

        }
        catch (Exception ex)
        {
        }
        finally
        {
            if (fs != null)
              fs.Close();

            sw = null;
            fs = null;

        }
    }
  } 
